﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Threading.Tasks;
using TagHelpersTutorial.Models;

namespace TagHelpersTutorial.Services
{
    public class GetData
    {
        public GetData()
        {
        }

        public List<string> GetLanguagesList() {
            return new List<string>() {
                "c", "c++","c#","COBOL", "java", "php", "coldfusion", "javascript", "asp", "ruby"
            };
        }

        public List<string> GetImageSourceList()
        {

            List<string> ImgList = new List<string>();

            foreach (var item in Directory.GetFiles("wwwroot/images/").ToList())
            {
                FileInfo fileInfo = new FileInfo(item);
                var uri = "/images/" + fileInfo.Name;
                ImgList.Add(uri);
            }


            return ImgList;
        }

        public List<Company> GetContactsList()
        {
            List<Company> contacts = new List<Company>();
            Company c1 = new Company();
            c1.Name = "GrapeCity";
            Location loc1 = new Location();
            loc1.City = "Pittsburgh";
            loc1.Country = "US";
            loc1.Phone = "555-555-5555";
            c1.Location = loc1;

            Company c2 = new Company();
            c2.Name = "ComponentOne";
            Location loc2 = new Location();
            loc2.City = "Sendai";
            loc2.Country = "Japan";
            loc2.Phone = "777-555-8855";
            c2.Location = loc2;
            contacts.Add(c1);
            contacts.Add(c2);

            return contacts;
        }

    }
}
